Package org.apache.wiki.tags

## Class SetPaginationTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.SetPaginationTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class SetPaginationTag
    extends WikiTagBase

Calculate pagination string. Used for page-info and search results

Attributes

- start - start item of the page to be highlighted
- total - total number of items
- pagesize - total number of items per page
- maxlinks - number of page links to be generated
- fmtkey - pagination prefix of the i18n resource keys. Following keys are used:
  fmtkey="info.pagination"
  - info.pagination.first=First
  - info.pagination.last=Last
  - info.pagination.previous=Previous
  - info.pagination.next=Next
  - info.pagination.all=all
  - info.pagination.total= (Total items: {0} )
  - info.pagination.show.title=Show items from {0} to {1}
  - info.pagination.showall.title=Show all items

Following optional attributes can be parameterized with '%s' (item count)

- href - href of each page link. (optional)
- onclick - onclick of each page link. (optional)

Since:
  2.5.109
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`SetPaginationTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setFmtkey​(java.lang.String arg)`
`void` `setHref​(java.lang.String arg)`
`void` `setMaxlinks​(int arg)`
`void` `setOnclick​(java.lang.String arg)`
`void` `setPagesize​(int arg)`
`void` `setStart​(int arg)`
`void` `setTotal​(int arg)`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetPaginationTag

    public SetPaginationTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### setStart

    public void setStart​(int arg)

#### setTotal

    public void setTotal​(int arg)

#### setPagesize

    public void setPagesize​(int arg)

#### setMaxlinks

    public void setMaxlinks​(int arg)

#### setFmtkey

    public void setFmtkey​(java.lang.String arg)

#### setHref

    public void setHref​(java.lang.String arg)

#### setOnclick

    public void setOnclick​(java.lang.String arg)

#### doWikiStartTag

    public int doWikiStartTag()
                       throws java.io.IOException

Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`